Debian Bug report logs - #580798
fuseiso fails to mount .ISZ images

version graph

Package: fuseiso; Maintainer for fuseiso is David Paleino <dapal@debian.org>; Source for fuseiso is src:fuseiso.

Reported by: Dmitry Katsubo <dma_k@mail.ru>

Date: Sat, 8 May 2010 17:51:01 UTC

Severity: normal

Tags: wontfix

Found in version fuseiso/20070708-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, David Paleino <d.paleino@gmail.com>:
Bug#580798; Package fuseiso. (Sat, 08 May 2010 17:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Katsubo <dma_k@mail.ru>:
New Bug report received and forwarded. Copy sent to David Paleino <d.paleino@gmail.com>. (Sat, 08 May 2010 17:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dmitry Katsubo <dma_k@mail.ru>
To: submit@bugs.debian.org
Subject: fuseiso fails to mount .ISZ images
Date: Sat, 08 May 2010 19:38:50 +0200
Package: fuseiso
Version: 20070708-1

When trying to mount .ISZ image, created by UltraISO, the image cannot
be mounted and the following is reported:

# fuseiso image.isz ./iso
init: wrong standard identifier in volume descriptor 0, skipping..
init: wrong standard identifier in volume descriptor 1, skipping..
init: wrong standard identifier in volume descriptor 2, skipping..
init: wrong standard identifier in volume descriptor 3, skipping..
init: wrong standard identifier in volume descriptor 4, skipping..
init: wrong standard identifier in volume descriptor 5, skipping..
init: wrong standard identifier in volume descriptor 6, skipping..
init: wrong standard identifier in volume descriptor 7, skipping..
init: wrong standard identifier in volume descriptor 8, skipping..
init: wrong standard identifier in volume descriptor 9, skipping..
init: wrong standard identifier in volume descriptor 10, skipping..
init: wrong standard identifier in volume descriptor 11, skipping..
init: wrong standard identifier in volume descriptor 12, skipping..
init: wrong standard identifier in volume descriptor 13, skipping..
init: wrong standard identifier in volume descriptor 14, skipping..
init: wrong standard identifier in volume descriptor 15, skipping..
init: wrong standard identifier in volume descriptor 16, skipping..
init: wrong standard identifier in volume descriptor 17, exiting..

The image can be mounted with UltraISO v9.3.6 and with DaemonTools v4.35.

-- 
With best regards,
Dmitry




Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <d.paleino@gmail.com>:
Bug#580798; Package fuseiso. (Tue, 11 May 2010 20:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to David Paleino <d.paleino@gmail.com>. (Tue, 11 May 2010 20:24:08 GMT) Full text and rfc822 format available.

Message #10 received at 580798@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: Dmitry Katsubo <dma_k@mail.ru>
Cc: 580798@bugs.debian.org
Subject: Re: Bug#580798: fuseiso fails to mount .ISZ images
Date: Tue, 11 May 2010 22:12:49 +0200
[Message part 1 (text/plain, inline)]
Hello,

On Sat, 08 May 2010 19:38:50 +0200, Dmitry Katsubo wrote:

> When trying to mount .ISZ image, created by UltraISO, the image cannot
> be mounted and the following is reported:
> 
> # fuseiso image.isz ./iso

What does file(1) report about image.isz?

However, fuseiso doesn't claim to be able to mount those kind of images.

Kindly,
David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <d.paleino@gmail.com>:
Bug#580798; Package fuseiso. (Tue, 11 May 2010 22:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to David Paleino <d.paleino@gmail.com>. (Tue, 11 May 2010 22:00:05 GMT) Full text and rfc822 format available.

Message #15 received at 580798@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: Dmitry Katsubo <dma_k@mail.ru>
Cc: 580798@bugs.debian.org
Subject: Re: Bug#580798: fuseiso fails to mount .ISZ images
Date: Tue, 11 May 2010 23:57:48 +0200
[Message part 1 (text/plain, inline)]
tags 580798 + confirmed
thanks

Hello,

On Tue, 11 May 2010 22:12:49 +0200, David Paleino wrote:

> [..]
> 
> However, fuseiso doesn't claim to be able to mount those kind of images.

I didn't understand they simply are gzip-compressed-ISOs.
I'm confirming this bug.

Kindly,
David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) confirmed. Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Tue, 11 May 2010 22:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <d.paleino@gmail.com>:
Bug#580798; Package fuseiso. (Tue, 11 May 2010 22:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to David Paleino <d.paleino@gmail.com>. (Tue, 11 May 2010 22:45:05 GMT) Full text and rfc822 format available.

Message #22 received at 580798@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: Dmitry Katsubo <dma_k@mail.ru>
Cc: 580798@bugs.debian.org
Subject: Re: Bug#580798: fuseiso fails to mount .ISZ images
Date: Wed, 12 May 2010 00:39:09 +0200
[Message part 1 (text/plain, inline)]
tags 580798 = wontfix
thanks

Hello,

On Tue, 11 May 2010 23:57:48 +0200, David Paleino wrote:

> On Tue, 11 May 2010 22:12:49 +0200, David Paleino wrote:
> 
> > [..]
> > 
> > However, fuseiso doesn't claim to be able to mount those kind of images.
> 
> I didn't understand they simply are gzip-compressed-ISOs.
> I'm confirming this bug.

After some thinking, and brainstorming with some friends on IRC about the issue
and possible solutions, I've come to the conclusion that .isz files
(or .iso.gz, or any similar format) is not efficiently mountable. This is
because, for example, if you want to cat a file, and this happens to be at the
end of the archive, the OS needs to decompress the whole of it before being
able to give it back to the user.

A workaround might be decompressing your .isz, and mount the resulting file, if
it's a proper ISO.

Kindly,
David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) wontfix; removed tag(s) confirmed. Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Tue, 11 May 2010 22:45:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <d.paleino@gmail.com>:
Bug#580798; Package fuseiso. (Wed, 12 May 2010 11:48:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Katsubo <dma_k@mail.ru>:
Extra info received and forwarded to list. Copy sent to David Paleino <d.paleino@gmail.com>. (Wed, 12 May 2010 11:48:10 GMT) Full text and rfc822 format available.

Message #29 received at 580798@bugs.debian.org (full text, mbox):

From: Dmitry Katsubo <dma_k@mail.ru>
To: 580798@bugs.debian.org
Subject: Re: Bug#580798: fuseiso fails to mount .ISZ images
Date: Wed, 12 May 2010 13:30:49 +0200
Hi David!

You are right: after reading the help again I have realized that fuseiso
really does not claim to support ISZ [1] images - I was confused with
"zisofs" which is RockRidge extension and is not the same as ISZ.

It is possible to mount ISZ files, at least in Windows world there are
two products, that can do it: UltraISO [2] and DaemonTools [3]. I agree,
that as ISZ format was introduced by commercial company there might be
licence problems, etc. But if you talk to EZB Systems folks I am pretty
sure they will be happy to make decoding of ISZ opensource (and maybe
even the compression/decompression utility).

ISZ is not simply gzip-compressed file, as if ISO would have been
compressed like that, you indeed cannot seek the image. The idea is that
the image is divided into fixed-sized blocks (say, 512K) which are
compressed. The offset of each compressed block is saved in a directory,
so if you need to seek to a given sector, it is easy to calculate the
compressed block you need, uncompress it and get the content. Pretty
strightforward to program, and such features as volume splitting and
encrypting may wait for better times.

I have asked the community about the support of this format in Linux
world [4], and it seems like there is no working solution. So fuseiso is
the only hope to support this. Therefore I request you to kindly change
the status of the bug from "issue" to "feature request".

[1] http://www.ezbsystems.com/isz/iszspec.txt
[2] http://en.wikipedia.org/wiki/UltraISO
[3] http://en.wikipedia.org/wiki/Daemon_Tools
[4]
http://superuser.com/questions/139759/how-to-mount-a-compressed-iso-image

David Paleino wrote on 12/05/2010 00:39:
>>> However, fuseiso doesn't claim to be able to mount those kind of images.
>>
>> I didn't understand they simply are gzip-compressed-ISOs.
>> I'm confirming this bug.
> 
> After some thinking, and brainstorming with some friends on IRC about the issue
> and possible solutions, I've come to the conclusion that .isz files
> (or .iso.gz, or any similar format) is not efficiently mountable. This is
> because, for example, if you want to cat a file, and this happens to be at the
> end of the archive, the OS needs to decompress the whole of it before being
> able to give it back to the user.
> 
> A workaround might be decompressing your .isz, and mount the resulting file, if
> it's a proper ISO.
> 
> Kindly,
> David

-- 
With best regards,
Dmitry




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:36:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.